Bug 25834 - Relabel "Search to add" to "Search for guarantor" or "Add guarantor" on patron form
Summary: Relabel "Search to add" to "Search for guarantor" or "Add guarantor" on patro...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lisette Scheer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-06-21 16:33 UTC by Katrin Fischer
Modified: 2020-11-04 12:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Attachment to Bug 25834 - Relabel "Search to add" to "Search for guarantor" or "Add guarantor" on patron form (1.88 KB, patch)
2020-10-24 19:50 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 25834: Relabel "Search to add" to "Add guarantor" on patron form. (1.93 KB, patch)
2020-10-25 04:53 UTC, David Nind
Details | Diff | Splinter Review
Bug 25834: Relabel "Search to add" to "Add guarantor" on patron form. (1.99 KB, patch)
2020-10-25 13:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-06-21 16:33:06 UTC
The "search to add" label on the button for guarantors is a bit hard to translate and it lacks context (think of someone relying on a screen reader).

I suggest using something like: "Search for guarantor" or "Add guarantor" instead.
Comment 1 Katrin Fischer 2020-06-22 17:04:00 UTC
Hi George, I see you added yourself CC - would the suggested change work for you?
Comment 2 George Williams (NEKLS) 2020-06-22 21:57:14 UTC
Yes, either would work, I think I prefer "Add guarantor" because it's simpler.
Comment 3 Katrin Fischer 2020-06-22 21:57:50 UTC
Thank you!
Comment 4 Lisette Scheer 2020-06-24 21:26:10 UTC
I also prefer the "Add guarantor" option.
Comment 5 Lisette Scheer 2020-10-24 19:50:18 UTC
Created attachment 112395 [details] [review]
Attachment to Bug 25834 - Relabel "Search to add" to "Search for guarantor" or "Add guarantor" on patron form

Bug 25834: Relabel "Search to add" to "Add guarantor" on patron form.

The "search to add" label on the button for adding guarantors is a bit
hard to translate and is inaccessable. This patch updated the button
label to "Add guarantor" to fix these issues.

To test:
1. Go to patrons
2. Add a new child patron
3. Observe the button with "search to add"
4. Save the patron
5. Edit the patron and observe the "search to add" button.
6. Apply patch.
7. Add a new patron
8. Observe new text on button.
9. Edit a child patron
10. Observe new text on button
11. Sign off
Comment 6 David Nind 2020-10-25 04:53:18 UTC
Created attachment 112473 [details] [review]
Bug 25834: Relabel "Search to add" to "Add guarantor" on patron form.

The "search to add" label on the button for adding guarantors is a bit
hard to translate and is inaccessable. This patch updated the button
label to "Add guarantor" to fix these issues.

To test:
1. Go to patrons
2. Add a new child patron
3. Observe the button with "search to add"
4. Save the patron
5. Edit the patron and observe the "search to add" button.
6. Apply patch.
7. Add a new patron
8. Observe new text on button.
9. Edit a child patron
10. Observe new text on button
11. Sign off

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Katrin Fischer 2020-10-25 13:33:27 UTC
Created attachment 112474 [details] [review]
Bug 25834: Relabel "Search to add" to "Add guarantor" on patron form.

The "search to add" label on the button for adding guarantors is a bit
hard to translate and is inaccessable. This patch updated the button
label to "Add guarantor" to fix these issues.

To test:
1. Go to patrons
2. Add a new child patron
3. Observe the button with "search to add"
4. Save the patron
5. Edit the patron and observe the "search to add" button.
6. Apply patch.
7. Add a new patron
8. Observe new text on button.
9. Edit a child patron
10. Observe new text on button
11. Sign off

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2020-11-04 12:03:21 UTC
Pushed to master for 20.11, thanks to everybody involved!